/* Store-related styles */

.btn { box-shadow: none }

.upSaleBorder {
	padding-top: 10px;
	padding-bottom: 10px;
    border-style: solid;
    border-width: thin;
    height: auto;
    border-color: #00add9;
}

i.unCheckIconStyle {
	font-size:18px;
	color:#00add9;
}

i.checkIconStyle {
	font-size:18px;
	color:#fdfdfd;
}

#upsaleCheckBox:hover {
	
	background-color: #00add9;
	
}

#upsaleCheckBox:hover #checkTextSpan {
	
	color: #fdfdfd;
	
}

#upsaleCheckBox:hover #iconSpan {
	
	color: #fdfdfd;
	
}


.upSaleFill {
	padding-top: 10px;
	padding-bottom: 10px;
    border-style: solid;
    border-width: thin;
    height: auto;
    border-color: #00add9;
    background-color: #00add9;
}

.upSaleInfoBorder {
    border-style: solid;
    border-width: thin;
    border-color: #acb0b5;
}


.upUnselectedSaleCheckText {
	
	font-size:18px;
	color: #00add9;
	
}

.upSelectedSaleCheckText {
	
	font-size:18px;
	color: #fdfdfd;
	
}


input.x_button {
	min-height: 14px;
	width: 14px;
	border: 0;
	background: transparent url('/images/x_button.gif') center left no-repeat;
	cursor: pointer;
}

#cart_contents th { vertical-align: bottom }
#cart_contents td { vertical-align: middle }

#cart_contents .product { font-size: 1.2em }
#cart_contents .product img {
	height: 42px;
	width: auto;
	padding-right: 10px;
}

.store-item { margin-bottom: 30px }
.store-item div:first-child h1, .store-item div:first-child p { margin-left: 84px }
.store-item div:last-child p { margin-top: 35px }

.store-item div:first-child img {
	float: left;
	width: 64px;
	margin-top: 20px;
}

.store-item input[type="number"] {
	width: 60px;
	margin-bottom: 5px;
}

.table-container {
	overflow-x: scroll;
	overflow-y: visible;
}

@supports (-webkit-appearance: -apple-pay-button) {
    .apple-pay-button-with-text {
        display: none;
        -webkit-appearance: -apple-pay-button;
        -apple-pay-button-type: buy;
	    vertical-align: top;
    }
    
    .apple-pay-button-with-text > * {
        display: none;
    }
    
    .apple-pay-button-black-with-text {
        -apple-pay-button-style: black;
    }
    .apple-pay-button-white-with-text {
        -apple-pay-button-style: white;
    }
    .apple-pay-button-white-with-line-with-text {
        -apple-pay-button-style: white-outline;
    }
}

@supports not (-webkit-appearance: -apple-pay-button) {
	.apple-pay-button-with-text {
	    --apple-pay-scale: 1; /* (height / 32) */
	    display: inline-flex;
	    justify-content: center;
	    font-size: 12px;
	    border-radius: 5px;
	    padding: 0px;
	    box-sizing: border-box;
	    min-width: 200px;
	    min-height: 32px;
	    max-height: 64px;
	    vertical-align: top;
	}
	.apple-pay-button-black-with-text {
	    background-color: black;
	    color: white;
	}
	.apple-pay-button-white-with-text {
	    background-color: white;
	    color: black;
	}
	.apple-pay-button-white-with-line-with-text {
	    background-color: white;
	    color: black;
	    border: .5px solid black;
	}
	.apple-pay-button-with-text.apple-pay-button-black-with-text > .logo {
	    background-image: -webkit-named-image(apple-pay-logo-white);
	    background-color: black;
	}
	.apple-pay-button-with-text.apple-pay-button-white-with-text > .logo {
	    background-image: -webkit-named-image(apple-pay-logo-black);
	    background-color: white;
	}
	.apple-pay-button-with-text.apple-pay-button-white-with-line-with-text > .logo {
	    background-image: -webkit-named-image(apple-pay-logo-black);
	    background-color: white;
	}
	.apple-pay-button-with-text > .text {
	    font-family: -apple-system;
	    font-size: calc(1em * var(--apple-pay-scale));
	    font-weight: 300;
	    align-self: center;
	    margin-right: calc(2px * var(--apple-pay-scale));
	}
	.apple-pay-button-with-text > .logo {
	    width: calc(35px * var(--scale));
	    height: 100%;
	    background-size: 100% 60%;
	    background-repeat: no-repeat;
	    background-position: 0 50%;
	    margin-left: calc(2px * var(--apple-pay-scale));
	    border: none;
	}
}